X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Keep getting this prompt when I close a tab: ASSERT: Giving up waiting for the tab closing animation to finish (bug 608589) Stack Trace: 0:([object XULElement],[object XULElement],0) How do I get rid of it?

Posted

ASSERT: Giving up waiting for the tab closing animation to finish (bug 608589) Stack Trace: 0:([object XULElement],[object XULElement],0)

Happening since I went to the 4.0b9 beta. Thanks for any help in getting rid of it.

Additional System Details

Installed Plug-ins

  • npmnqmp 989898989877
  • Version 1.7.1.0
  • Google Talk Plugin Video Accelerator version:0.1.43.4
  • Delivery Network Acceleration by BitTorrent™
  • Google Update
  • Shockwave Flash 10.1 r102
  • iTunes Detector Plug-in
  • DivX Web Player version 2.0.3.4
  • Next Generation Java Plug-in 1.6.0_21 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Photosynth 1.1.0.13080
  • Motive Plugin for Mozilla Browsers
  • Adobe PDF Plug-In For Firefox and Netscape "9.4.1"
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.0; rv:2.0b9) Gecko/20100101 Firefox/4.0b9

More Information

the-edmeister
  • Top 10 Contributor
  • Moderator
3202 solutions 24440 answers

Helpful Reply

They're still working on fixing that Bug - https://bugzilla.mozilla.org/show_bug.cgi?id=608589 - a fix for another Bug - https://bugzilla.mozilla.org/show_bug.cgi?id=613888 - landed earlier this week which might have fixed it. Unless you are willing to install a nightly Trunk which has the latest fixes, you'll have to wait for 4.0b10 for the fix.

Question owner

Thanks for the prompt reply, glad to hear they are aware of it and working on it.

jmkray 0 solutions 2 answers

The only add-on that generates this error message for me is Tab Utilities 1.0. I have tried all kinds of variants on the add-on settings with no success. Would really appreciate having this fixed (as I am sure ithinc who wrote Tab Utilities would too). At first I thought an simple setting was the issue, but I was wrong.

mrealm 0 solutions 2 answers

I posted some firefox 4 themes for Stylish that were causing this box because the mouse-over opacity of the inactive tabs was set to a value less than 1.0 I updated my Stylish themes to fix this issue with them. I'm not sure if this is an issue 3rd party coders will have to work around or something that Firefox will fix on their end, but I thought I would post this in case it helps.

squelch 0 solutions 1 answers

I have Tab Utilities and Colorful Tabs addons installed, disabling Colorful Tabs seems to fix the problem. Could this be an interaction between other addons too?

Btw, Tab Utils is now at version 1.0, but auto update still shows 1.0 rc5. Updating to 1.0 does not fix the problem with Colorful Tabs.

Modified by squelch

Secretss 0 solutions 1 answers

Thanks for the tip! I disabled Tab Utilities and the error went away :).

cowboydan13 0 solutions 2 answers

Helpful Reply

i had this problem when using Tab Utilities, i went to about:config and found browser.tabs.animate and changed it to false and the problem is gone.

Modified by cowboydan13